{
********************************************
*  Parallax Frequency Synthesizer demo     *
*  (C) 2005 Parallax, Inc.            V1.1 *
********************************************
 Originally coded by Chip Gracey (Parallax)
 Modified by Beau Schwabe (Parallax).
********************************************


Revision History:
                  Version 1.0   -    original file created
                  
                  Version 1.1   -    For Channel "B" there was a typo in the 'Synth' object
                                     The line that reads...
                                     DIRB[Pin]~~                        'make pin output
                                     ...should read...  
                                     DIRA[Pin]~~                        'make pin output
}
CON

  _CLKMODE = XTAL1 + PLL16X
  _XINFREQ = 5_000_000


  Pin  = 0

  Frequency = 10_000_000                                    'DC to 128MHz

VAR

OBJ
  Freq : "Synth"
  
PUB CTR_Demo

    Freq.Synth("A",Pin, Frequency)                      'Synth({Counter"A" or Counter"B"},Pin, Freq)       

    repeat                                              'loop forever to keep cog alive